﻿Imports System.Data

Partial Class Default2
    Inherits System.Web.UI.Page


    Private Function MakeTable() As DataTable
        ' Create a new DataTable.
        Dim table As System.Data.DataTable = New DataTable("Table")
        ' Declare variables for DataColumn and DataRow objects.
        Dim column As DataColumn
        Dim row As DataRow

        ' Create new DataColumn, set DataType, 
        ' ColumnName and add to DataTable.    
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.Int32")
        column.ColumnName = "Cat_ID"
        column.[ReadOnly] = True
        ' Add the Column to the DataColumnCollection.
        table.Columns.Add(column)






        ' Create second column.
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.String")
        column.ColumnName = "Cat_Name"
        column.AutoIncrement = False
        column.Caption = "Cat_Name"
        column.[ReadOnly] = False
        column.Unique = False
        ' Add the column to the table. 
        table.Columns.Add(column)

        ' Create third column.
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.String")
        column.ColumnName = "Unit_Name"
        column.AutoIncrement = False
        column.Caption = "Unit_Name"
        column.[ReadOnly] = False
        column.Unique = False
        ' Add the column to the table.
        table.Columns.Add(column)

        ' Create third column.
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.DateTime")
        column.ColumnName = "Required_Dt"
        column.AutoIncrement = False
        column.Caption = "Required_Dt"
        column.[ReadOnly] = False
        column.Unique = False
        ' Add the column to the table.
        table.Columns.Add(column)

        ' Create third column.
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.DateTime")
        column.ColumnName = "End_Dt"
        column.AutoIncrement = False
        column.Caption = "End_Dt"
        column.[ReadOnly] = False
        column.Unique = False
        ' Add the column to the table.
        table.Columns.Add(column)



        ' Create third column.
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.Int32")
        column.ColumnName = "Qty"
        column.AutoIncrement = False
        column.Caption = "Qty"
        column.[ReadOnly] = False
        column.Unique = False
        ' Add the column to the table.
        table.Columns.Add(column)


        ' Create third column.
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.Int32")
        column.ColumnName = "Order_Dtl_Id"
        column.AutoIncrement = False
        column.Caption = "Order_Dtl_Id"
        column.[ReadOnly] = False
        column.Unique = False
        ' Add the column to the table.
        table.Columns.Add(column)



        ' Make the ID column the primary key column.
        Dim PrimaryKeyColumns As DataColumn() = New DataColumn(0) {}
        PrimaryKeyColumns(0) = table.Columns("Cat_ID")
        table.PrimaryKey = PrimaryKeyColumns



        For i As Integer = 0 To 20
            row = table.NewRow()
            row("Cat_ID") = i
            row("Cat_Name") = "Cat_Name " + i.ToString()
            row("Unit_Name") = "Unit_Name " + i.ToString()
            row("Required_Dt") = DateTime.Now
            row("End_Dt") = DateTime.Now.AddDays(1)
            row("Qty") = i
            row("Order_Dtl_Id") = i
            table.Rows.Add(row)
        Next
        Return table

    End Function

    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        Dim dsDetail As DataSet = New DataSet()
        dsDetail.Tables.Add(MakeTable())
        Dim intCountRows As Int32 = 10
        For k = 1 To 1



            If intCountRows > 0 Then
                For i = 0 To intCountRows - 1
                    k = i + 1
                    
                    'Dim table As New Table
                    Dim row As New TableRow
                    Dim cell As New TableCell

                    Me.tblAdminTable.CssClass = "CatalogAdminTable"

                    cell = New TableCell
                    row = New TableRow

                    With cell
                        .CssClass = "AdminRateFAREntry"
                        .HorizontalAlign = HorizontalAlign.Left
                        .Wrap = False
                        Dim img1 As New WebControls.Image
                        Dim img2 As New WebControls.Image

                     
                       


                        '.Width = Unit.Percentage(17)
                        Dim link As New HyperLink

                        With link
                            .ID = "hypCatID_" & CStr(k) 'dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id")
                            .NavigateUrl = "../Search/CatalogPage.aspx?CatID=" & dsDetail.Tables(0).Rows(i).Item("Cat_ID")
                            .Text = dsDetail.Tables(0).Rows(i).Item("Cat_ID")
                            .Font.Bold = True
                        End With

                        .Controls.Add(link)
                    End With

                    row.Cells.Add(cell)

                    cell = New TableCell

                    With cell
                        .HorizontalAlign = HorizontalAlign.Left
                        .CssClass = "AdminRateFAREntry"
                        ' .Width = Unit.Percentage(40)
                        Dim label As New Label
                        With label
                            .ID = "lblDesc_" & CStr(k) ' dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id")
                            .Text = dsDetail.Tables(0).Rows(i).Item("Cat_Name")
                        End With
                        .Controls.Add(label)

                    End With

                    row.Cells.Add(cell)

                    cell = New TableCell

                    With cell
                        .HorizontalAlign = HorizontalAlign.Left
                        .Wrap = False
                        .CssClass = "AdminRateFAREntry"
                        .HorizontalAlign = HorizontalAlign.Left
                        .Text = dsDetail.Tables(0).Rows(i).Item("Unit_Name")
                    End With

                    row.Cells.Add(cell)

                    'creates calendar labels, images, and hidden fields
                    cell = New TableCell
                    Dim img As ImageButton
                    With cell
                        .HorizontalAlign = HorizontalAlign.Left
                        .CssClass = "AdminRateFAREntry"
                        .ID = "tdFromDt_" & CStr(k) ' dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id")
                        Dim Label As New Label
                        With Label
                            .ID = "lblFrom_" & CStr(k) ' dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id")
                            .CssClass = "Calendar"
                            .BorderStyle = BorderStyle.None
                            .Text = dsDetail.Tables(0).Rows(i).Item("Required_Dt")
                        End With
                        .Controls.Add(Label)
                        Label = New Label
                        Label.Text = " "
                        .Controls.Add(Label)
                        Dim hid As New HiddenField
                        With hid
                            .ID = "hidFrom_" & CStr(k) ' dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id")
                        End With
                        .Controls.Add(hid)
                        img = New ImageButton

                        With img
                            .ImageUrl = "~\images\calendar.gif"
                            .ID = "imgFrom_" & k
                            .ToolTip = "Click to Edit"
                            .CssClass = "Calendar"
                            .OnClientClick = "return swap('from_" & CStr(k) & "');" ' dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id") & "');"
                        End With
                        .Controls.Add(img)
                    End With

                    row.Cells.Add(cell)

                    'creates calendar labels
                    cell = New TableCell

                    With cell
                        .HorizontalAlign = HorizontalAlign.Left
                        .CssClass = "AdminRateFAREntry"
                        .Width = Unit.Pixel(100)
                        .ID = "tdToDt_" & CStr(k) ' dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id")
                        Dim Label As New Label '
                        With Label
                            .ID = "lblTo_" & CStr(k) ' dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id")
                            .CssClass = "Calendar"
                            .BorderStyle = BorderStyle.None
                            .Text = dsDetail.Tables(0).Rows(i).Item("End_Dt")
                        End With
                        .Controls.Add(Label)
                        Label = New Label
                        Label.Text = " "
                        .Controls.Add(Label)
                        img = New WebControls.ImageButton
                        With img
                            .ImageUrl = "~\images\calendar.gif"
                            .ID = "imgTo_" & k
                            .ToolTip = "Click to Edit"
                            .CssClass = "Calendar"
                            .OnClientClick = "return swap('to_" & CStr(k) & "');" 'dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id") & "');"
                        End With
                        .Controls.Add(img)
                        Dim hid As New HiddenField
                        With hid
                            .ID = "hidTo_" & CStr(k) ' dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id")
                        End With
                        .Controls.Add(hid)
                    End With

                    row.Cells.Add(cell)

                    'blank space
                    cell = New TableCell
                    cell.Text = ""
                    row.Cells.Add(cell)

                    'creates txtQty
                    cell = New TableCell
                    With cell
                        Dim txt As New TextBox
                        With txt
                            .Text = dsDetail.Tables(0).Rows(i).Item("Qty")
                            .ID = "txtQty_" & CStr(k) ' dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id")
                            .Width = Unit.Pixel(25)
                            .Font.Size = FontUnit.Point(8)
                            .Font.Name = "Verdana"
                        End With
                        .Controls.Add(txt)
                        Dim hidID As New HiddenField
                        With hidID
                            .ID = "hidID_" & CStr(k) ' dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id")
                            .Value = dsDetail.Tables(0).Rows(i).Item("Order_Dtl_Id")
                        End With
                        .Controls.Add(hidID)
                    End With
                    row.Cells.Add(cell)
                    Me.tblAdminTable.Rows.Add(row)

                    'addition of horizontal rule
                    row = New TableRow
                    cell = New TableCell
                    cell.ColumnSpan = 7
                    Dim hr As New HtmlGenericControl
                    hr.TagName = "hr"
                    hr.Attributes.Add("size", "1")
                    cell.Controls.Add(hr)
                    row.Cells.Add(cell)
                    Me.tblAdminTable.Rows.Add(row)
                Next
            End If
        Next
    End Sub
End Class
